ros-jazzy-clearpath-bt-joy (2.9.6-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Tue, 14 Apr 2026 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.9.5-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 25 Mar 2026 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.9.4-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 13 Mar 2026 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.9.3-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 26 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.9.2-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 26 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.9.1-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 11 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.9.0-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 11 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.8.5-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 30 Jan 2026 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.8.4-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 22 Dec 2025 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.8.3-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Tue, 16 Dec 2025 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.8.2-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 06 Nov 2025 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.8.1-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Tue, 28 Oct 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.8.0-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 23 Oct 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.7.4-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 18 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.7.3-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Tue, 16 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.7.2-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 08 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.7.1-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 08 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.7.0-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 25 Aug 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.6.4-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Tue, 29 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.6.3-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 18 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.6.2-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 14 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.6.1-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 07 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.6.0-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 04 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.5.1-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Tue, 17 Jun 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.5.0-1noble) noble; urgency=high

  * Disable symlink rule to rely on DS4DRV instead
  * Contributors: Luis Camero

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 29 May 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.3.2-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 30 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.3.1-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 16 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.3.0-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 11 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.2.2-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 09 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.2.1-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 07 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.2.0-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Tue, 11 Mar 2025 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.1.0-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 31 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.0.3-1noble) noble; urgency=high

  * Bypass bluetooth link quality check (#151 <https://github.com/clearpathrobotics/clearpath_common/issues/151>)
    * Comment-out the bluetooth cutoff node, the mux, and the remap from the joy_teleop to bypass the link quality check
    * Add missing newlines to joy teleop config files
    * Change the link quality check to be exclusive instead of inclusive
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Tue, 21 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.0.2-1noble) noble; urgency=high

  * Add additional logging, replace rate.sleep() with time.sleep(); on boot as part of a systemd job rate.sleep() is never exiting (#148 <https://github.com/clearpathrobotics/clearpath_common/issues/148>)
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 20 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.0.1-1noble) noble; urgency=high

  * Explicitly use the default qos profile for the quality & cutoff pubs. Reduce the publish rate from 10Hz to 5Hz (on A300-000006 the 10Hz rate was missing deadlines, resulting in a deadlocked controller)
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 17 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (2.0.0-1noble) noble; urgency=high

  * Improve joy telep support (#131 <https://github.com/clearpathrobotics/clearpath_common/issues/131>)
    * Update description, add bluez dependency
    * Add the quality_cutoff parameter to all of the PS4 configuration files
    * Update the launch file to start the new cutoff node and additional twist_mux
    * Add udev rules for various controllers
    * Add dependency on the new bt cutoff package
    * Add xbox controller parameters for all platforms
    * Fix the PS4/5 axis ordering; the left stick shows up as axis 3/4, with the l/r analogue triggers being 2 & 5. Update omni control configurations accordingly
    * Add PS5 udev rules, config files
    * Add a timeout to the quality lock so we lock out the controller if the quality-checker node crashes
    * Set the respawn flag for the BT cutoff node and the joy_linux node
    * Add additional logging when blocking for services & IPC. Since we've added a timeout to the lock, publish fake quality data when using wired controllers. Log when this happens
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 16 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.3.2-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Sun, 29 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.3.1-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 23 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.3.0-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 19 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.11-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 08 Aug 2024 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.10-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 25 Jul 2024 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.9-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Tue, 28 May 2024 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.8-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Tue, 14 May 2024 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.7-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 08 Apr 2024 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.6-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 18 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.5-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 15 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.4-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 11 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.3-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 08 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.2-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 04 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.1-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 21 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.2.0-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 08 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.1.3-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 03 Nov 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.1.2-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 02 Oct 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.1.1-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 25 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.1.0-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 17 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.0.9-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.0.8-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.0.7-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 19 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.0.6-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Thu, 13 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.0.5-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 12 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.0.4-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 07 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.0.3-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 05 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.0.2-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Tue, 04 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-bt-joy (0.0.1-1noble) noble; urgency=high



 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Wed, 21 Jun 2023 04:00:00 -0000


